config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/ConsoleKit/seats.d/00-primary.seat.new
config etc/dbus-1/system.d/ConsoleKit.conf.new

( cd usr/lib64 ; rm -rf libck-connector.so )
( cd usr/lib64 ; ln -sf libck-connector.so.0.0.0 libck-connector.so )
( cd usr/lib64 ; rm -rf libck-connector.so.0 )
( cd usr/lib64 ; ln -sf libck-connector.so.0.0.0 libck-connector.so.0 )
( cd usr/doc/ConsoleKit-20100129 ; rm -rf html )
( cd usr/doc/ConsoleKit-20100129 ; ln -sf /usr/share/gtk-doc/html/polkit-1 html )
